PHP 手册
后退 |  | 前进

# DOMComment->__construct()

(no version information, might be only in CVS)

DOMComment->__construct() -- Creates a new DOMComment object

## 说明

class DOMComment {
__construct ( [string value] )
}

Creates a new DOMComment object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writeable node, use DOMDocument->createComment().

## 参数

value

  The value of the comment.

## 范例

例子 1. Creating a new DOMComment

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $comment = $element->appendChild(new DOMComment('root comment')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root><!--root comment--></root> */ ?>`

## 参见

DOMDocument->createComment()

后退 | 起点 | 前进
DOMCharacterData->substringData() | 上一级 | DOMDocument->__construct()